Skip to main content
GET
Retrieve a specific report generation information

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

id
string<uuid>
required

Response

Request successful.

uuid
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only

Task creation time

updated_at
string<date-time>
required
read-only

Task update time

user_id
integer
required
read-only
client_id
integer
required
read-only
task_type
enum<string>
required
read-only
  • ClosingPeriod - closing_period
  • ImportData - import_data
  • Report - report
  • StopSubscriptions - stop_subscriptions
Available options:
ClosingPeriod,
ImportData,
Report,
StopSubscriptions
status
enum<string>
default:Pending
required
read-only
  • Pending - pending
  • InProgress - in_progress
  • Completed - completed
  • Failed - failed
  • Cancelled - cancelled
Available options:
Pending,
InProgress,
Completed,
Failed,
Cancelled
processing_notes
Processing notes · object
required
read-only

Processing notes. Contains additional information about the task processing.

parameters
Task parameters · object

Parameters for the task. The structure depends on the task type. For report tasks, see available templates and their parameters at the reports templates operation.